;// Supported Sims
SIM_ANY     equ	0
SIM_FS98    equ	1
SIM_FS2000	equ	2	
SIM_CFS2	equ   3
SIM_CFS1    equ	4
SIM_FLY     equ	5
SIM_FS2K2   equ  	6
SIM_FS2K4   equ  	7

;// Error numbers
FSUIPC_ERR_OK       equ		0
FSUIPC_ERR_OPEN     equ		1	;// Attempt to Open when already Open
FSUIPC_ERR_NOFS     equ		2	;// Cannot link to FSUIPC or WideClient
FSUIPC_ERR_REGMSG   equ 	3	;// Failed to Register common message with Windows
FSUIPC_ERR_ATOM     equ		4	;// Failed to create Atom for mapping filename
FSUIPC_ERR_MAP      equ		5	;// Failed to create a file mapping object
FSUIPC_ERR_VIEW     equ		6	;// Failed to open a view to the file map
FSUIPC_ERR_VERSION  equ 	7	;// Incorrect version of FSUIPC, or not FSUIPC
FSUIPC_ERR_WRONGFS  equ 	8	;// Sim is not version requested
FSUIPC_ERR_NOTOPEN  equ 	9	;// Call cannot execute, link not Open
FSUIPC_ERR_NODATA   equ 	10	;// Call cannot execute: no requests accumulated
FSUIPC_ERR_TIMEOUT  equ 	11	;// IPC timed out all retries
FSUIPC_ERR_SENDMSG  equ 	12	;// IPC sendmessage failed all retries
FSUIPC_ERR_DATA     equ		13	;// IPC request contains bad data
FSUIPC_ERR_RUNNING  equ 	14	;// Maybe running on WideClient, but FS not running on Server, or wrong FSUIPC
FSUIPC_ERR_SIZE     equ		15	;// Read or Write request cannot be added, memory for Process is full

;// Library routines
FSUIPC_Open         PROTO 	C 	 :DWORD,:DWORD
FSUIPC_Close        PROTO	C
FSUIPC_Read         PROTO	C	 :DWORD,:DWORD,:DWORD,:DWORD
FSUIPC_Write        PROTO	C	 :DWORD,:DWORD,:DWORD,:DWORD
FSUIPC_Process      PROTO	C	 :DWORD